GuidewireSim.UnitTests Class Reference
Inheritance diagram for GuidewireSim.UnitTests:

## Private Member Functions

void | Awake ()
void | Start ()
void | PerformUnitTests ()
void | UnitTest_SolveStretchConstraint (int iterations, Vector3 particlePositionOne, Vector3 particlePositionTwo, BSM.Quaternion orientation, bool logDeltaResults=true)
void | CheckStretchConstraintDeviation (Vector3 particlePositionOne, Vector3 particlePositionTwo, BSM.Quaternion orientation, BSM.Quaternion e_3, float rodElementLength)
void | CheckRodElementLength (Vector3 particlePositionOne, Vector3 particlePositionTwo, float defaultRodElementLength)
Vector3 | ComputeStretchConstraintDeviation (Vector3 particlePositionOne, Vector3 particlePositionTwo, BSM.Quaternion orientation, BSM.Quaternion e_3, float rodElementLength)

## Static Private Member Functions

static void | LogDeltaResults (in Vector3 deltaPositionOne, in Vector3 deltaPositionTwo, in BSM.Quaternion deltaOrientation)

## Private Attributes

MathHelper | mathHelper
| The component MathHelper that provides math related helper functions. More...
ConstraintSolvingStep | constraintSolvingStep
bool | executeUnitTests = false
| Whether or not to perform all unit tests of this script. More...

## Member Function Documentation

## Awake()

void GuidewireSim.UnitTests.Awake | ( |  | ) |

private

## CheckRodElementLength()

void GuidewireSim.UnitTests.CheckRodElementLength | ( | Vector3 | particlePositionOne,
|  | Vector3 | particlePositionTwo,
|  | float | defaultRodElementLength
| ) |  |

private

## CheckStretchConstraintDeviation()

void GuidewireSim.UnitTests.CheckStretchConstraintDeviation | ( | Vector3 | particlePositionOne,
|  | Vector3 | particlePositionTwo,
|  | BSM.Quaternion | orientation,
|  | BSM.Quaternion | e_3,
|  | float | rodElementLength
| ) |  |

private

## ComputeStretchConstraintDeviation()

Vector3 GuidewireSim.UnitTests.ComputeStretchConstraintDeviation | ( | Vector3 | particlePositionOne,
|  | Vector3 | particlePositionTwo,
|  | BSM.Quaternion | orientation,
|  | BSM.Quaternion | e_3,
|  | float | rodElementLength
| ) |  |

private

## LogDeltaResults()

static void GuidewireSim.UnitTests.LogDeltaResults | ( | in Vector3 | deltaPositionOne,
|  | in Vector3 | deltaPositionTwo,
|  | in BSM.Quaternion | deltaOrientation
| ) |  |

static private

## PerformUnitTests()

void GuidewireSim.UnitTests.PerformUnitTests | ( |  | ) |

private

## Start()

void GuidewireSim.UnitTests.Start | ( |  | ) |

private

## UnitTest_SolveStretchConstraint()

void GuidewireSim.UnitTests.UnitTest_SolveStretchConstraint | ( | int | iterations,
|  | Vector3 | particlePositionOne,
|  | Vector3 | particlePositionTwo,
|  | BSM.Quaternion | orientation,
|  | bool | logDeltaResults = `true`
| ) |  |

private

## Member Data Documentation

## constraintSolvingStep

ConstraintSolvingStep GuidewireSim.UnitTests.constraintSolvingStep

private

The component ConstraintSolvingStep that is responsible for correcting the predictions with the collision and model constraints.

## executeUnitTests

bool GuidewireSim.UnitTests.executeUnitTests = false

private

Whether or not to perform all unit tests of this script.

## mathHelper

MathHelper GuidewireSim.UnitTests.mathHelper

private

The component MathHelper that provides math related helper functions.

The documentation for this class was generated from the following file:

- UnitTests.cs